%define upstream_name    SDLx-Betweener
%define upstream_version 0.0101

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    SDL Perl XS Tweening Animation Library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SDLx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::SDL)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(SDL)
BuildRequires: perl-devel
BuildRequires: gcc-c++
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel

%description
'SDLx::Betweener' is a library for animating Perl SDL elements. It lets you
move game objects (GOBs) around in various ways, rotate and scale things,
animate sprites and colors, make GOBs spawn at a given rate, and generally
bring about changes in the game over time. It lets you do these things
declaratively, without writing complex 'SDLx::Controller'
'move_handlers()'.

See the /WHY manpage and the /FEATURES manpage for an introduction to
tweening, or continue for the technical details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc TODO Changes META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.10.100-3.mga3
+ Revision: 372353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 shlomif <shlomif> 0.10.100-2.mga3
+ Revision: 326120
- No problem with parallelised builds.
- SDLx-Betweener based on cpan2pkg output

